## liqbase-playground 0.3.3

=== Makefile ===
PROG        = liqbase-playground
VERS        = 0.2.0
CC          = gcc
LD          = gcc


OPT_FLAGS   =  -O3
DESTDIR	?= tmp


ETCDIR	    = $(DESTDIR)//etc
PREFIX	    = $(DESTDIR)//usr
SUDODIR	    = $(ETCDIR)/sudoers.d
BINDIR	    = $(PREFIX)/bin
DESKTOPDIR      = $(PREFIX)/share/applications/hildon
SERVICEDIR      = $(PREFIX)/share/dbus-1/services
PGDIR		    = $(PREFIX)/share/liqbase


.PHONY:     clean distclean
all:        
	$(MAKE) -C src

clean:
	      $(MAKE) clean -C src

.PHONY:     clean

install:

	install -d $(BINDIR)
	install -d $(SUDODIR)
	install -d $(DESKTOPDIR)
	install -d $(SERVICEDIR)
	install -d $(PGDIR)

	mkdir -p                                    $(PGDIR)
	mkdir -p                                    $(PGDIR)/media
	mkdir -p                                    $(PGDIR)
	mkdir -p                                    $(PGDIR)/widgets
	mkdir -p                                    $(PGDIR)/widgets/liqcalendar
	mkdir -p                                    $(PGDIR)/widgets/playground
	mkdir -p                                    $(PGDIR)/widgets/desktopmanage
	mkdir -p                                    $(PGDIR)/widgets/liqbook

	cp -r src/media/*                           $(PGDIR)/media
	#cp -r src/widgets/media/*                   $(PGDIR)/media
	#cp -r src/widgets/liqcalendar/media/*       $(PGDIR)/media
	#cp -r src/widgets/playground/media/*        $(PGDIR)/media
	#cp -r src/widgets/liqbook/media/*           $(PGDIR)/media
	#cp -r src/widgets/desktopmanage/media/*     $(PGDIR)/media

	install -m 755 liqbase-playground-run.sh    $(BINDIR)
	install -m 755 src/liqbase-playground       $(PGDIR)
	cp -r src/widgets/*.so                      $(PGDIR)/widgets
	cp -r src/widgets/liqcalendar/*.so          $(PGDIR)/widgets/liqcalendar
	cp -r src/widgets/playground/*.so           $(PGDIR)/widgets/playground
	cp -r src/widgets/desktopmanage/*.so        $(PGDIR)/widgets/desktopmanage
	cp -r src/widgets/liqbook/*.so              $(PGDIR)/widgets/liqbook

	install -m 0755 liqbase_base_fs/usr/bin/liqbase-cpu-ondemand                                    $(BINDIR)
	install -m 0755 liqbase_base_fs/usr/bin/liqbase-cpu-powersave                                   $(BINDIR)
	install -m 0755 liqbase_base_fs/usr/bin/liqbase-cpu-performance                                 $(BINDIR)
	install -m 0755 liqbase_base_fs/etc/sudoers.d/liqbase-playground.sudoers                        $(SUDODIR)
	install -m 0755 liqbase_base_fs/usr/share/applications/hildon/liqbase-playground.desktop        $(DESKTOPDIR)
	install -m 0755 liqbase_base_fs/usr/share/dbus-1/services/org.maemo.liqbase-playground.service  $(SERVICEDIR)

=== debian/changelog ===
liqbase-playground (0.3.3) unstable; urgency=low

  * damn horrid silly extra x11 include.

 -- Gary <liquid@gmail.com>  Tue, 09 June 2009 20:41:03 +0200

liqbase-playground (0.3.2) unstable; urgency=low

  * build dependencies still being a problem.

 -- Gary <liquid@gmail.com>  Tue, 09 June 2009 20:41:03 +0200

liqbase-playground (0.3.1) unstable; urgency=low

  * another tweak.

 -- Gary <liquid@gmail.com>  Tue, 08 June 2009 23:41:03 +0200

liqbase-playground (0.3.0-dev-1) unstable; urgency=low

  * trying again.

 -- Gary <liquid@gmail.com>  Tue, 08 June 2009 23:41:03 +0200

liqbase-playground (0.2.3-dev-1) unstable; urgency=low

  * removed silly x11 header ref.

 -- Gary <liquid@gmail.com>  Mon, 07 June 2009 23:41:03 +0200

liqbase-playground (0.2.2-dev-1) unstable; urgency=low

  * added some builddeps.

 -- Gary <liquid@gmail.com>  Mon, 07 June 2009 23:41:03 +0200

liqbase-playground (0.2.1-dev-1) unstable; urgency=low

  * fixed calendar location.

 -- Gary <liquid@gmail.com>  Mon, 07 June 2009 23:40:03 +0200

liqbase-playground (0.2-dev-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Gary <liquid@gmail.com>  Sat, 30 May 2009 14:53:57 +0200

=== debian/control ===
Source: liqbase-playground
Section: unknown
Priority: extra
Maintainer: Gary <liquid@gmail.com>
Build-Depends: debhelper (>= 5) , libliqbase-dev
Standards-Version: 3.7.2

Package: liqbase-playground
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1
Description: liqbase-playground test package
 usability and testing package release for liqbase-playground

## liqbase-playground 0.3.7

=== Makefile ===
PROG        = liqbase-playground
VERS        = 0.3.0
CC          = gcc
LD          = gcc


OPT_FLAGS   =  -O3
#DESTDIR	?= tmp


ETCDIR	    = $(DESTDIR)//etc
PREFIX	    = $(DESTDIR)//usr
SUDODIR	    = $(ETCDIR)/sudoers.d
BINDIR	    = $(PREFIX)/bin
DESKTOPDIR      = $(PREFIX)/share/applications/hildon
SERVICEDIR      = $(PREFIX)/share/dbus-1/services
PGDIR		    = $(PREFIX)/share/liqbase


.PHONY:     clean distclean
all:        
	$(MAKE) -C src

clean:
	      $(MAKE) clean -C src

.PHONY:     clean

install:

	install -d $(BINDIR)
	install -d $(SUDODIR)
	install -d $(DESKTOPDIR)
	install -d $(SERVICEDIR)
	install -d $(PGDIR)

	mkdir -p                                    									$(PGDIR)
	mkdir -p                                    									$(PGDIR)/media
	mkdir -p                                    									$(PGDIR)
	mkdir -p                                    									$(PGDIR)/widgets
	mkdir -p                                    									$(PGDIR)/widgets/liqcalendar
	mkdir -p                                    									$(PGDIR)/widgets/playground
	mkdir -p                                    									$(PGDIR)/widgets/desktopmanage
	mkdir -p                                    									$(PGDIR)/widgets/liqbook

	cp -r src/media/*                           									$(PGDIR)/media
	#cp -r src/widgets/media/*                  									 $(PGDIR)/media
	#cp -r src/widgets/liqcalendar/media/*      									 $(PGDIR)/media
	#cp -r src/widgets/playground/media/*       									 $(PGDIR)/media
	#cp -r src/widgets/liqbook/media/*          									 $(PGDIR)/media
	#cp -r src/widgets/desktopmanage/media/*    									 $(PGDIR)/media

	install -m 0755 src/liqbase-playground      									$(PGDIR)
	cp -r src/widgets/*.so                      									$(PGDIR)/widgets
	cp -r src/widgets/liqcalendar/*.so          									$(PGDIR)/widgets/liqcalendar
	cp -r src/widgets/playground/*.so           									$(PGDIR)/widgets/playground
	cp -r src/widgets/desktopmanage/*.so        									$(PGDIR)/widgets/desktopmanage
	cp -r src/widgets/liqbook/*.so              									$(PGDIR)/widgets/liqbook

	install -m 0755 liqbase_base_fs/usr/bin/liqbase-playground-run.sh                               $(BINDIR)
	install -m 0755 liqbase_base_fs/usr/bin/liqbase-cpu-ondemand                                    $(BINDIR)
	install -m 0755 liqbase_base_fs/usr/bin/liqbase-cpu-powersave                                   $(BINDIR)
	install -m 0755 liqbase_base_fs/usr/bin/liqbase-cpu-performance                                 $(BINDIR)
	install -m 0755 liqbase_base_fs/etc/sudoers.d/liqbase-playground.sudoers                        $(SUDODIR)
	install -m 0755 liqbase_base_fs/usr/share/applications/hildon/liqbase_playground.desktop        $(DESKTOPDIR)
	install -m 0755 liqbase_base_fs/usr/share/dbus-1/services/org.maemo.liqbase_playground.service  $(SERVICEDIR)

=== src/widgets/liqcalendar/Makefile ===
PROG        = liqcalendar
VERS        = 0.1.0
CC          = gcc
LD          = gcc
OPT_FLAGS   =  -O3
LDFLAGS     = -lm -lliqbase -Wl,-export-dynamic  -ldl  -lpthread  
RM          = /bin/rm -f
CFLAGS      = -fPIC
OBJSCORE    = liqui_toolbar.o liqcalendar_dayview.o
OBJS        = $(OBJSCORE) $(PROG).o 
.PHONY:     clean distclean
all:        $(PROG) $(PROG).so
$(PROG):    $(OBJS)
	      $(LD) $(LDFLAGS) -o $(PROG) $(OBJS)
$(PROG).so : $(OBJS)
	$(LD) -shared -lc $(CFLAGS) $(LDFLAGS) $(OBJS) -o $(PROG).so
.c.o:
	      $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
	      $(RM) *~ $(OBJS) $(PROG) $(PROG).so
.PHONY:     clean

=== debian/changelog ===
liqbase-playground (0.3.7) unstable; urgency=low

  * stop crashing hildon desktop, cant use "liqbase-playground" as service name.
  * forced osso initialize to "liqbase_playground" in lib, and changed files here.

 -- Gary Birkett <liquid@gmail.com>  16 June 2009 21:41:03 +0200

liqbase-playground (0.3.6) unstable; urgency=low

  * more testing on scratchbox.

 -- Gary Birkett <liquid@gmail.com>  16 June 2009 12:41:03 +0200

liqbase-playground (0.3.5) unstable; urgency=low

  * bit more tweaking.

 -- Gary Birkett <liquid@gmail.com>  Sat, 13 June 2009 12:41:03 +0200

liqbase-playground (0.3.4) unstable; urgency=low

  * bit of tweaking to layout.

 -- Gary Birkett <liquid@gmail.com>  Sat, 13 June 2009 12:41:03 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/liqbase-playground.sgml > liqbase.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/liqbase.
	$(MAKE) DESTDIR=$(CURDIR)/debian/liqbase-playground install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## liqbase-playground 0.3.8

=== Makefile ===
--- 
+++ 
@@ -58,9 +58,9 @@
 	cp -r src/widgets/liqbook/*.so              									$(PGDIR)/widgets/liqbook
 
 	install -m 0755 liqbase_base_fs/usr/bin/liqbase-playground-run.sh                               $(BINDIR)
-	install -m 0755 liqbase_base_fs/usr/bin/liqbase-cpu-ondemand                                    $(BINDIR)
-	install -m 0755 liqbase_base_fs/usr/bin/liqbase-cpu-powersave                                   $(BINDIR)
-	install -m 0755 liqbase_base_fs/usr/bin/liqbase-cpu-performance                                 $(BINDIR)
+	install -m 0755 liqbase_base_fs/usr/bin/liqbase-playground-cpu-ondemand                         $(BINDIR)
+	install -m 0755 liqbase_base_fs/usr/bin/liqbase-playground-cpu-powersave                        $(BINDIR)
+	install -m 0755 liqbase_base_fs/usr/bin/liqbase-playground-cpu-performance                      $(BINDIR)
 	install -m 0755 liqbase_base_fs/etc/sudoers.d/liqbase-playground.sudoers                        $(SUDODIR)
 	install -m 0755 liqbase_base_fs/usr/share/applications/hildon/liqbase_playground.desktop        $(DESKTOPDIR)
 	install -m 0755 liqbase_base_fs/usr/share/dbus-1/services/org.maemo.liqbase_playground.service  $(SERVICEDIR)

=== src/Makefile ===
PROG        = liqbase-playground
VERS        = 0.1.0
CC          = gcc
LD          = gcc


OPT_FLAGS   =  -O3
DESTDIR	?= tmp

LIBRARIES   =
# xrandr
# -DUSE_MAEMO 
CFLAGS      = -DUSE_MAEMO -Wall   -I/usr/include `pkg-config --cflags  $(LIBRARIES)` 
LDFLAGS     = -lm -lliqbase `pkg-config --libs $(LIBRARIES)`  -lpthread  -Wl,-export-dynamic -L/usr/local/lib

RM          = /bin/rm -f

OBJSCORE    = 
OBJS        = $(OBJSCORE) $(PROG).o




.PHONY:     clean distclean
all:        $(PROG)
	      $(MAKE) -C widgets

$(PROG):    $(OBJS)
	      $(LD) $(LDFLAGS) -o $(PROG) $(OBJS) \
		
.c.o:
	      $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
	      $(RM) *~ $(OBJS) $(PROG)
		$(MAKE) clean -C widgets
.PHONY:     clean

=== src/widgets/Makefile ===
PROG        = widgets
VERS        = 0.1.0
CC          = gcc
LD          = gcc

OPT_FLAGS   =  -O3

LIBRARIES   = 

CFLAGS      = $(OPT_FLAGS) -DUSE_MAEMO -Wall   
LDFLAGS     = -lm -lliqbase
RM          = /bin/rm -f

SUBDIRS     = desktopmanage liqcalendar liqui playground liqbook

SRCS        = $(wildcard *.c)

OBJS        = $(patsubst %.c,%.o,$(SRCS))

LIBS        = $(patsubst %.c,%.so,$(SRCS))

BINS        = $(patsubst %.c,%,$(SRCS))

.PHONY:     clean distclean

all:        $(LIBS) 
	@for i in $(SUBDIRS); do \
	echo "make all in $$i..."; \
	(cd $$i; $(MAKE) all); done



%.o : %.c
	$(CC) -c -fpic $(CFLAGS) $(CPPFLAGS) $< -o $@

%.so : %.o
	$(LD) -shared -lc $(CFLAGS) $(LDFLAGS) $< -o $@


clean:
	$(RM) *~ $(OBJS) $(LIBS)
	@for i in $(SUBDIRS); do \
	echo "make all in $$i..."; \
	(cd $$i; $(MAKE) clean); done

.PHONY:     clean

=== src/widgets/liqbook/Makefile ===
PROG = liqbook
VERS		  = 0.1.0
cc = gcc
LD = gcc
OPT_FLAGS = -O3
CFLAGS		= -I../../../include
LDFLAGS	  = -lm -lliqbase -Wl,-export-dynamic  -lpthread  
RM			 = /bin/rm -f
OBJSCORE	 = liqbookreader.o liqbooklist.o
OBJS		  = $(OBJSCORE) $(PROG).o
.PHONY:	  clean distclean
all:		  $(PROG) $(PROG).so
$(PROG):	 $(OBJS)
			 $(LD) $(LDFLAGS) -o $(PROG) $(OBJS)
$(PROG).so : $(OBJS)
	 $(LD) -shared -lc $(CFLAGS) $(LDFLAGS) $(OBJS) -o $(PROG).so
.c.o:
			 $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
			 $(RM) *~ $(OBJS) $(PROG) $(PROG).so
.PHONY:	  clean

=== debian/changelog ===
liqbase-playground (0.3.8) unstable; urgency=low

  * fix for osso fix.
  * tweaks to package files so that you can keep liqbase running

 -- Gary Birkett <liquid@gmail.com>  16 June 2009 21:41:03 +0200

## liqbase-playground 0.3.11

=== Makefile ===
--- 
+++ 
@@ -8,8 +8,8 @@
 #DESTDIR	?= tmp
 
 
-ETCDIR	    = $(DESTDIR)//etc
-PREFIX	    = $(DESTDIR)//usr
+ETCDIR	    = $(DESTDIR)/etc
+PREFIX	    = $(DESTDIR)/usr
 SUDODIR	    = $(ETCDIR)/sudoers.d
 BINDIR	    = $(PREFIX)/bin
 DESKTOPDIR      = $(PREFIX)/share/applications/hildon
@@ -36,26 +36,32 @@
 
 	mkdir -p                                    									$(PGDIR)
 	mkdir -p                                    									$(PGDIR)/media
-	mkdir -p                                    									$(PGDIR)
+	mkdir -p                                    									$(PGDIR)/kotcomix
+	mkdir -p                                    									$(PGDIR)/dialogfileselect
 	mkdir -p                                    									$(PGDIR)/widgets
 	mkdir -p                                    									$(PGDIR)/widgets/liqcalendar
 	mkdir -p                                    									$(PGDIR)/widgets/playground
 	mkdir -p                                    									$(PGDIR)/widgets/desktopmanage
-	mkdir -p                                    									$(PGDIR)/widgets/liqbook
+	mkdir -p                                    									$(PGDIR)/liqbook
 
 	cp -r src/media/*                           									$(PGDIR)/media
 	#cp -r src/widgets/media/*                  									 $(PGDIR)/media
 	#cp -r src/widgets/liqcalendar/media/*      									 $(PGDIR)/media
 	#cp -r src/widgets/playground/media/*       									 $(PGDIR)/media
-	#cp -r src/widgets/liqbook/media/*          									 $(PGDIR)/media
+	#cp -r src/liqbook/media/*      		    									 $(PGDIR)/media
 	#cp -r src/widgets/desktopmanage/media/*    									 $(PGDIR)/media
 
 	install -m 0755 src/liqbase-playground      									$(PGDIR)
+	install -m 0755 src/kotcomix/kotcomix      									$(PGDIR)/kotcomix
 	cp -r src/widgets/*.so                      									$(PGDIR)/widgets
 	cp -r src/widgets/liqcalendar/*.so          									$(PGDIR)/widgets/liqcalendar
 	cp -r src/widgets/playground/*.so           									$(PGDIR)/widgets/playground
 	cp -r src/widgets/desktopmanage/*.so        									$(PGDIR)/widgets/desktopmanage
-	cp -r src/widgets/liqbook/*.so              									$(PGDIR)/widgets/liqbook
+	cp -r src/liqbook/*.so     		         									$(PGDIR)/liqbook
+	cp -r src/kotcomix/kotcomix.so              									$(PGDIR)/kotcomix
+	cp -r src/dialogfileselect/dialogfileselect.so        							$(PGDIR)/dialogfileselect
+
+
 
 	install -m 0755 liqbase_base_fs/usr/bin/liqbase-playground-run.sh                               $(BINDIR)
 	install -m 0755 liqbase_base_fs/usr/bin/liqbase-playground-cpu-ondemand                         $(BINDIR)

=== src/Makefile ===
--- 
+++ 
@@ -24,6 +24,9 @@
 .PHONY:     clean distclean
 all:        $(PROG)
 	      $(MAKE) -C widgets
+	      $(MAKE) -C kotcomix
+	      $(MAKE) -C liqbook
+	      $(MAKE) -C dialogfileselect
 
 $(PROG):    $(OBJS)
 	      $(LD) $(LDFLAGS) -o $(PROG) $(OBJS) \
@@ -33,5 +36,9 @@
 clean:
 	      $(RM) *~ $(OBJS) $(PROG)
 		$(MAKE) clean -C widgets
+		$(MAKE) clean -C kotcomix
+		$(MAKE) clean -C liqbook
+		$(MAKE) clean -C dialogfileselect
+
 .PHONY:     clean

=== src/dialogfileselect/Makefile ===
PROG = dialogfileselect
VERS		  = 0.1.0
cc = gcc
LD = gcc
OPT_FLAGS = -O3
CFLAGS		= -I../../include
LDFLAGS	  = -lm -lliqbase -Wl,-export-dynamic  -lpthread  
RM			 = /bin/rm -f
OBJSCORE	 = filesystemitem.o folderlist.o filelist.o
OBJS		  = $(OBJSCORE) $(PROG).o
.PHONY:	  clean distclean
all:		  $(PROG) $(PROG).so
$(PROG):	 $(OBJS)
			 $(LD) $(LDFLAGS) -o $(PROG) $(OBJS)
$(PROG).so : $(OBJS)
	 $(LD) -shared -lc $(CFLAGS) $(LDFLAGS) $(OBJS) -o $(PROG).so
.c.o:
			 $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
			 $(RM) *~ $(OBJS) $(PROG) $(PROG).so
.PHONY:	  clean

=== src/kotcomix/Makefile ===
PROG = kotcomix
VERS		  = 0.1.0
cc = gcc
LD = gcc
OPT_FLAGS = -O3
CFLAGS		= 
LDFLAGS	  = -lm -lliqbase -Wl,-export-dynamic
RM			 = /bin/rm -f
OBJSCORE	 = fileitem.o folderitem.o
OBJS		  = $(OBJSCORE) $(PROG).o
.PHONY:	  clean distclean
all:		  $(PROG) $(PROG).so
$(PROG):	 $(OBJS)
			 $(LD) $(LDFLAGS) -o $(PROG) $(OBJS)
$(PROG).so : $(OBJS)
	 $(LD) -shared -lc $(CFLAGS) $(LDFLAGS) $(OBJS) -o $(PROG).so
.c.o:
			 $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
			 $(RM) *~ $(OBJS) $(PROG) $(PROG).so
.PHONY:	  clean

=== src/widgets/liqui/Makefile ===
PROG        = liqui
VERS        = 0.1.0
CC          = gcc
LD          = gcc

OPT_FLAGS   =  -O3

LIBRARIES   = 

CFLAGS      = $(OPT_FLAGS) -DUSE_MAEMO -Wall  -I../../../include -I../
LDFLAGS     = -lm -lliqbase
RM          = /bin/rm -f



SRCS        = $(wildcard *.c)

OBJS        = $(patsubst %.c,%.o,$(SRCS))

LIBS        = $(patsubst %.c,%.so,$(SRCS))

BINS        = $(patsubst %.c,%,$(SRCS))

.PHONY:     clean distclean

all:        $(PROG).so


%.o : %.c
	$(CC) -c -fpic $(CFLAGS) $(CPPFLAGS) $< -o $@

$(PROG).so : $(OBJS)
	$(LD) -shared -lc $(CFLAGS) $(LDFLAGS) $(OBJS) -o $(PROG).so


clean:
	      $(RM) *~ $(OBJS) $(PROG).so

.PHONY:     clean

=== debian/changelog ===
liqbase-playground (0.3.11) unstable; urgency=low

  * added dialogfileselect, evolution from kotcomix, more required

 -- Gary Birkett <liquid@gmail.com>  17 June 2009 21:41:03 +0200

liqbase-playground (0.3.10) unstable; urgency=low

  * cleanups to numerous places, liqstars added, kotcomix put in place

 -- Gary Birkett <liquid@gmail.com>  17 June 2009 21:41:03 +0200

liqbase-playground (0.3.9) unstable; urgency=low

  * tweaks to paths and packaging bits

 -- Gary Birkett <liquid@gmail.com>  17 June 2009 21:41:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: liqbase-playground
-Section: unknown
+Section: user/multimedia
 Priority: extra
 Maintainer: Gary <liquid@gmail.com>
 Build-Depends: debhelper (>= 5) , libliqbase-dev

## liqbase-playground 0.3.12

=== src/liqbook/Makefile ===
PROG = liqbook
VERS		  = 0.1.0
cc = gcc
LD = gcc
OPT_FLAGS = -O3
CFLAGS		= -I../../include
LDFLAGS	  = -lm -lliqbase -Wl,-export-dynamic  -lpthread  
RM			 = /bin/rm -f
OBJSCORE	 = liqbookreader.o liqbooklist.o liqdoc.o liqbookprogress.o
OBJS		  = $(OBJSCORE) $(PROG).o
.PHONY:	  clean distclean
all:		  $(PROG) $(PROG).so
$(PROG):	 $(OBJS)
			 $(LD) $(LDFLAGS) -o $(PROG) $(OBJS)
$(PROG).so : $(OBJS)
	 $(LD) -shared -lc $(CFLAGS) $(LDFLAGS) $(OBJS) -o $(PROG).so
.c.o:
			 $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
			 $(RM) *~ $(OBJS) $(PROG) $(PROG).so
.PHONY:	  clean

=== src/widgets/desktopmanage/Makefile ===
PROG        = desktopmanage
VERS        = 0.1.0
CC          = gcc
LD          = gcc

OPT_FLAGS   =  -O3

LIBRARIES   = 

CFLAGS      = $(OPT_FLAGS) -DUSE_MAEMO -Wall  -I../../../include -I../
LDFLAGS     = -lm -lliqbase
RM          = /bin/rm -f



SRCS        = $(wildcard *.c)

OBJS        = $(patsubst %.c,%.o,$(SRCS))

LIBS        = $(patsubst %.c,%.so,$(SRCS))

BINS        = $(patsubst %.c,%,$(SRCS))

.PHONY:     clean distclean

all:        $(PROG).so


%.o : %.c
	$(CC) -c -fpic $(CFLAGS) $(CPPFLAGS) $< -o $@

$(PROG).so : $(OBJS)
	$(LD) -shared -lc $(CFLAGS) $(LDFLAGS) $(OBJS) -o $(PROG).so


clean:
	      $(RM) *~ $(OBJS) $(PROG).so

.PHONY:     clean

=== src/widgets/playground/Makefile ===
PROG = playground
VERS		  = 0.1.0
cc = gcc
LD = gcc
OPT_FLAGS = -O3
CFLAGS		= -I../../../include
LDFLAGS	  = -lm -lliqbase -Wl,-export-dynamic  -lpthread  
RM			 = /bin/rm -f
OBJSCORE	 = textbox.o tagcloud.o recentsketches.o recentpictures.o booklist.o songlist.o codelist.o 
OBJS		  = $(OBJSCORE) $(PROG).o
.PHONY:	  clean distclean
all:		  $(PROG) $(PROG).so
$(PROG):	 $(OBJS)
			 $(LD) $(LDFLAGS) -o $(PROG) $(OBJS)
$(PROG).so : $(OBJS)
	 $(LD) -shared -lc $(CFLAGS) $(LDFLAGS) $(OBJS) -o $(PROG).so
.c.o:
			 $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
			 $(RM) *~ $(OBJS) $(PROG) $(PROG).so
.PHONY:	  clean

=== debian/changelog ===
liqbase-playground (0.3.12) unstable; urgency=low

  * more packaging tweaks, thank you kotczarny and qwerty12

 -- Gary Birkett <liquid@gmail.com>  22  June 2009 21:41:03 +0200

## liqbase-playground 0.3.33

=== debian/changelog ===
liqbase-playground (0.3.33) unstable; urgency=low

  * lcurl on calendar, and last install dep for the night.

 -- Gary Birkett <liquid@gmail.com>  31 Aug 2009 21:41:03 +0200

liqbase-playground (0.3.32) unstable; urgency=low

  * now its my fault.  left -lcurl on the makefile.

 -- Gary Birkett <liquid@gmail.com>  31 Aug 2009 21:41:03 +0200

liqbase-playground (0.3.31) unstable; urgency=low

  * stupid autobuilder lag

 -- Gary Birkett <liquid@gmail.com>  31 Aug 2009 21:41:03 +0200

liqbase-playground (0.3.30) unstable; urgency=low

  * drastic cleanup and removal of tonnes of test modules.  all still exist but require packaging.
  * desktopmanager now operates as expected and has been polished
  * calendar is slick
  * liqtimer,liqsketchedit,textbox now exist in the library itself
  * background image loaded from a ~/.liqbase file
  * numerous stability cleanups and refactoring
  * prepared for input from outside applications, though does not actively monitor for installation of such

 -- Gary Birkett <liquid@gmail.com>  31 Aug 2009 21:41:03 +0200

liqbase-playground (0.3.14) unstable; urgency=low

  * changes

 -- Gary Birkett <liquid@gmail.com>  12  July 2009 21:41:03 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,6 @@
 
 Package: liqbase-playground
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1
+Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1, liqtorch, liqcontrolpanel, liqpostcard
 Description: liqbase-playground test package
  usability and testing package release for liqbase-playground

## liqbase-playground 0.3.34

=== liqpostcard/Makefile ===
PROG = liqpostcard

VERS		  = 0.1.0
ETCDIR		= $(DESTDIR)/etc
PREFIX		= $(DESTDIR)/usr
cc = gcc
LD = gcc
OPT_FLAGS = -O3
CFLAGS		= 
LDFLAGS	  = -lm -lliqbase -Wl,-export-dynamic
RM			 = /bin/rm -f
OBJSCORE	 =  liqpostcard_ready.o liqpostcard_template.o liqpostcard_selectimage.o liqrecentphotoselect.o
OBJS		  = $(OBJSCORE) $(PROG).o

.PHONY:	  clean distclean
all:		  $(PROG) $(PROG).so
$(PROG):	 $(OBJS)
			 $(LD) $(LDFLAGS) -o $(PROG) $(OBJS)
$(PROG).so : $(OBJS)
	 $(LD) -shared -lc $(CFLAGS) $(LDFLAGS) $(OBJS) -o $(PROG).so
.c.o:
			 $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
			 $(RM) *~ $(OBJS) $(PROG) $(PROG).so
.PHONY:	  clean

install:
			 install -d								 $(ETCDIR)/osso-backup
			 install -d								 $(ETCDIR)/osso-backup/applications
			 install -d								 $(PREFIX)/bin
			 install -d								 $(PREFIX)/share/applications/hildon
			 install -d								 $(PREFIX)/share/dbus-1/services
			 install -d								 $(PREFIX)/share/liqbase
			 install -d								 $(PREFIX)/share/liqbase/liqpostcard
			 install -d								 $(PREFIX)/share/liqbase/liqpostcard/media
			 
			 mkdir -p									$(PREFIX)/share/liqbase
			 mkdir -p									$(PREFIX)/share/liqbase/liqpostcard/media
			 
			 install -m 0755 liqpostcard			  $(PREFIX)/share/liqbase/liqpostcard
			 install -m 0755 liqpostcard.so		  $(PREFIX)/share/liqbase/liqpostcard
			 
			 cp -r media/*							 $(PREFIX)/share/liqbase/liqpostcard/media
			 
			 install -m 0755 base_fs/usr/bin/liqpostcard-run.sh										 $(PREFIX)/bin
			 install -m 0755 base_fs/usr/share/applications/hildon/liqpostcard.desktop		  $(PREFIX)/share/applications/hildon
			 install -m 0755 base_fs/usr/share/dbus-1/services/org.maemo.liqpostcard.service  $(PREFIX)/share/dbus-1/services
			 install -m 0755 base_fs/etc/osso-backup/applications/liqpostcard.conf				$(ETCDIR)/osso-backup/applications

=== liqtorch/Makefile ===
PROG = liqtorch

VERS		  = 0.1.0
ETCDIR		= $(DESTDIR)/etc
PREFIX		= $(DESTDIR)/usr
cc = gcc
LD = gcc
OPT_FLAGS = -O3
CFLAGS		= 
LDFLAGS	  = -lm -lliqbase -Wl,-export-dynamic
RM			 = /bin/rm -f
OBJSCORE	 = liqtorch_run.o
OBJS		  = $(OBJSCORE) $(PROG).o

.PHONY:	  clean distclean
all:		  $(PROG) $(PROG).so
$(PROG):	 $(OBJS)
			 $(LD) $(LDFLAGS) -o $(PROG) $(OBJS)
$(PROG).so : $(OBJS)
	 $(LD) -shared -lc $(CFLAGS) $(LDFLAGS) $(OBJS) -o $(PROG).so
.c.o:
			 $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
			 $(RM) *~ $(OBJS) $(PROG) $(PROG).so
.PHONY:	  clean

install:
			 install -d								 $(ETCDIR)/osso-backup
			 install -d								 $(ETCDIR)/osso-backup/applications
			 install -d								 $(PREFIX)/bin
			 install -d								 $(PREFIX)/share/applications/hildon
			 install -d								 $(PREFIX)/share/dbus-1/services
			 install -d								 $(PREFIX)/share/liqbase
			 install -d								 $(PREFIX)/share/liqbase/liqtorch
			 install -d								 $(PREFIX)/share/liqbase/liqtorch/media


	mkdir -p															$(PREFIX)
	mkdir -p															$(PREFIX)/share
	mkdir -p															$(PREFIX)/share/icons
	mkdir -p															$(PREFIX)/share/icons/hicolor
	mkdir -p															$(PREFIX)/share/icons/hicolor/scalable
	mkdir -p															$(PREFIX)/share/icons/hicolor/scalable/apps
	mkdir -p															$(PREFIX)/share/icons/hicolor/26x26
	mkdir -p															$(PREFIX)/share/icons/hicolor/26x26/apps
	mkdir -p															$(PREFIX)/share/icons/hicolor/48x48
	mkdir -p															$(PREFIX)/share/icons/hicolor/48x48/apps


	install -m 0755  base_fs/usr/share/icons/hicolor/26x26/apps/liqtorch.png 				$(PREFIX)/share/icons/hicolor/26x26/apps/liqtorch.png
	install -m 0755  base_fs/usr/share/icons/hicolor/48x48/apps/liqtorch.png 				$(PREFIX)/share/icons/hicolor/48x48/apps/liqtorch.png
	install -m 0755  base_fs/usr/share/icons/hicolor/scalable/apps/liqtorch.png 				$(PREFIX)/share/icons/hicolor/scalable/apps/liqtorch.png
			 
			 mkdir -p									$(PREFIX)/share/liqbase
			 mkdir -p									$(PREFIX)/share/liqbase/liqtorch/media
			 
			 install -m 0755 liqtorch			  $(PREFIX)/share/liqbase/liqtorch
			 install -m 0755 liqtorch.so		  $(PREFIX)/share/liqbase/liqtorch
			 
			 install -m 0755 base_fs/usr/bin/liqtorch-run.sh										 $(PREFIX)/bin
			 install -m 0755 base_fs/usr/share/applications/hildon/liqtorch.desktop		  $(PREFIX)/share/applications/hildon
			 install -m 0755 base_fs/usr/share/dbus-1/services/org.maemo.liqtorch.service  $(PREFIX)/share/dbus-1/services
			 install -m 0755 base_fs/etc/osso-backup/applications/liqtorch.conf				$(ETCDIR)/osso-backup/applications

=== src/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 RM          = /bin/rm -f
 
-OBJSCORE    = 
+OBJSCORE    = playground.o desktopmanage.o
 OBJS        = $(OBJSCORE) $(PROG).o
 
 
@@ -24,9 +24,6 @@
 .PHONY:     clean distclean
 all:        $(PROG)
 	      $(MAKE) -C widgets
-	      $(MAKE) -C kotcomix
-	      $(MAKE) -C liqbook
-	      $(MAKE) -C dialogfileselect
 
 $(PROG):    $(OBJS)
 	      $(LD) $(LDFLAGS) -o $(PROG) $(OBJS) \
@@ -36,9 +33,6 @@
 clean:
 	      $(RM) *~ $(OBJS) $(PROG)
 		$(MAKE) clean -C widgets
-		$(MAKE) clean -C kotcomix
-		$(MAKE) clean -C liqbook
-		$(MAKE) clean -C dialogfileselect
 
 .PHONY:     clean

=== debian/changelog ===
liqbase-playground (0.3.34) unstable; urgency=low

  * Non-maintainer upload.
  * Added a forced dependency on a more recent version of libliqbase1. 

 -- Javier S. Pedro <maemo@javispedro.com>  Wed,  2 Sep 2009 23:28:54 +0200

=== liqpostcard/debian/changelog ===
liqpostcard (0.1.0) unstable; urgency=low

  * liqpostcard Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Gary Birkett <liquid@gmail.com>  Sun, 30 Aug 2009 23:43:31 +0000

=== liqtorch/debian/changelog ===
liqtorch (0.1.3) unstable; urgency=low

  * fixed class bug when sat in the playground, added some gradients

 -- Gary Birkett <liquid@gmail.com>  Mon, 31 Aug 2009 15:05:41 +0000

liqtorch (0.1.2) unstable; urgency=low

  * added icons, thank you once again qwerty12 :)

 -- Gary Birkett <liquid@gmail.com>  Sat, 29 Aug 2009 15:05:41 +0000

liqtorch (0.1.1) unstable; urgency=low

  * increased brightness

 -- Gary Birkett <liquid@gmail.com>  Sun, 16 Aug 2009 15:05:41 +0000

liqtorch (0.1.0) unstable; urgency=low

  * liqtorch Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Gary Birkett <liquid@gmail.com>  Sun, 16 Aug 2009 15:05:41 +0000

=== debian/control ===
Source: liqbase-playground
Section: user/multimedia
Priority: extra
Maintainer: Gary <liquid@gmail.com>
Build-Depends: debhelper (>= 5) , libliqbase-dev (>= 0.3.30)
Standards-Version: 3.7.2

Package: liqbase-playground
Architecture: any
Depends: libliqbase1 (>= 0.3.30), liqtorch, liqcontrolpanel, liqpostcard
Description: liqbase-playground test package
 usability and testing package release for liqbase-playground

=== liqcontrolpanel/debian/control ===
Source: liqcontrolpanel
Section: user/multimedia
Priority: extra
Maintainer: Gary Birkett <liquid@gmail.com>
Build-Depends: debhelper (>= 5) , libliqbase-dev
Standards-Version: 3.7.2

Package: liqcontrolpanel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1
Description: short description
 longer description

=== liqpostcard/debian/control ===
Source: liqpostcard
Section: user/multimedia
Priority: extra
Maintainer: Gary Birkett <liquid@gmail.com>
Build-Depends: debhelper (>= 5) , libliqbase-dev
Standards-Version: 3.7.2

Package: liqpostcard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1
Description: short description
 longer description

=== liqtorch/debian/control ===
Source: liqtorch
Section: user/multimedia
Priority: extra
Maintainer: Gary Birkett <liquid@gmail.com>
Build-Depends: debhelper (>= 5) , libliqbase-dev (>= 0.3.30)
Standards-Version: 3.7.2

Package: liqtorch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1 (>= 0.3.30)
Description: a simple bright light to lead the way.
 a simple bright light to lead the way in the dark.

=== liqpostcard/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/liqbase
	$(MAKE) DESTDIR=$(CURDIR)/debian/liqpostcard install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#  dh_install
#  dh_installmenu
#  dh_installdebconf
#  dh_installlogrotate
#  dh_installemacsen
#  dh_installpam
#  dh_installmime
#  dh_python
#  dh_installinit
#  dh_installcron
#  dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#  dh_perl
#  dh_makeshlibs
	dh_installdeb
#  dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## liqbase-playground 0.3.35

=== Makefile ===
PROG = onedotzero
VERS		  = 0.1.0
ETCDIR		= $(DESTDIR)/etc
PREFIX		= $(DESTDIR)/usr
cc = gcc
LD = gcc
OPT_FLAGS = -O3
LIBRARIES   = sqlite3 liblo
CFLAGS		= -Wall `pkg-config --cflags  $(LIBRARIES)`  
LDFLAGS	  = -lm -lliqbase -Wl,-export-dynamic -lcurl -L /usr/lib `pkg-config --libs $(LIBRARIES)`
RM			 = /bin/rm -f
OBJSCORE	 = onemessage.o oneinteract.o onetouch.o onemessageprogress.o liqflow.o liqaccelview.o onetiltcontrol.o zoombox.o liqaccelview_alternative.o liqaccelview_angle.o oneconfigure.o oneread.o textbox.o buttonrollover.o onemenu.o nokiapicture.o onemove.o onetouchslide.o slidebar.o osc_onedotzero.o angleruler.o
OBJS		  = $(OBJSCORE) $(PROG).o
.PHONY:	  clean distclean
all:		  $(PROG) $(PROG).so
$(PROG):	 $(OBJS)
			 $(LD) $(LDFLAGS) -o $(PROG) $(OBJS)
$(PROG).so : $(OBJS)
	 $(LD) -shared -lc $(CFLAGS) $(LDFLAGS) $(OBJS) -o $(PROG).so
.c.o:
			 $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
			 $(RM) *~ $(OBJS) $(PROG) $(PROG).so
.PHONY:	  clean


install:
			 install -d								 $(ETCDIR)/osso-backup
			 install -d								 $(ETCDIR)/osso-backup/applications
			 install -d								 $(PREFIX)/bin
			 install -d								 $(PREFIX)/share/applications/hildon
			 install -d								 $(PREFIX)/share/dbus-1/services
			 install -d								 $(PREFIX)/share/liqbase


			 install -d								 $(PREFIX)/share/icons
			 install -d								 $(PREFIX)/share/icons/hicolor
			 install -d								 $(PREFIX)/share/icons/hicolor/64x64


			 install -d								 $(PREFIX)/share/liqbase/onedotzero
			 install -d								 $(PREFIX)/share/liqbase/onedotzero/media

			 cp base_fs/usr/share/icons/hicolor/64x64/onedotzero_icon.png   $(PREFIX)/share/icons/hicolor/64x64

			 
			 mkdir -p									$(PREFIX)/share/liqbase
			 mkdir -p									$(PREFIX)/share/liqbase/onedotzero/media
			 
			 install -m 0755 onedotzero			  $(PREFIX)/share/liqbase/onedotzero
			 install -m 0755 onedotzero.so		  $(PREFIX)/share/liqbase/onedotzero
			 cp -r media/*                           				$(PREFIX)/share/liqbase/onedotzero/media

			 install -m 0755 base_fs/usr/bin/onedotzero-run.sh										 $(PREFIX)/bin
			 install -m 0755 base_fs/usr/share/applications/hildon/onedotzero.desktop		  $(PREFIX)/share/applications/hildon
			 install -m 0755 base_fs/usr/share/dbus-1/services/org.maemo.onedotzero.service  $(PREFIX)/share/dbus-1/services
			 install -m 0755 base_fs/etc/osso-backup/applications/onedotzero.conf				$(ETCDIR)/osso-backup/applications

=== src/widgets/Makefile ===
--- 
+++ 
@@ -11,7 +11,8 @@
 LDFLAGS     = -lm -lliqbase
 RM          = /bin/rm -f
 
-SUBDIRS     = desktopmanage liqcalendar liqui playground liqbook
+SUBDIRS     = liqcalendar 
+aaa = desktopmanage liqui playground
 
 SRCS        = $(wildcard *.c)

=== src/widgets/liqcalendar/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 CC          = gcc
 LD          = gcc
 OPT_FLAGS   =  -O3
-LDFLAGS     = -lm -lliqbase -Wl,-export-dynamic  -ldl  -lpthread  
+LDFLAGS     = -lm -lliqbase -Wl,-export-dynamic  -ldl  -lpthread 
 RM          = /bin/rm -f
 CFLAGS      = -fPIC
 OBJSCORE    = liqui_toolbar.o liqcalendar_dayview.o

=== debian/changelog ===
liqbase-playground (0.3.35) unstable; urgency=low

  * Non-maintainer upload.
  * Upload to match new libliqbase.
  * Some more changes by Gary.

 -- Javier S. Pedro <maemo@javispedro.com>  Sun,  6 Sep 2009 20:37:48 +0200

=== debian/control ===
Source: liqbase-playground
Section: user/multimedia
Priority: extra
Maintainer: Gary <liquid@gmail.com>
Build-Depends: debhelper (>= 5) , libliqbase-dev, libcurl3-openssl-dev
Standards-Version: 3.7.2

Package: liqbase-playground
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} , liqtorch, liqcontrolpanel, liqpostcard, onedotzero
Description: liqbase-playground test package
 usability and testing package release for liqbase-playground

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,6 @@
 
 	# Add here commands to compile the package.
 	$(MAKE)
-	#docbook-to-man debian/liqbase-playground.sgml > liqbase.1
 
 	touch $@
 
@@ -48,8 +47,8 @@
 	dh_clean -k 
 	dh_installdirs
 
-	# Add here commands to install the package into debian/liqbase.
-	$(MAKE) DESTDIR=$(CURDIR)/debian/liqbase-playground install
+	# Add here commands to install the package into debian/liqbase
+	$(MAKE) DESTDIR=$(CURDIR)/debian/liqcontrolpanel install
 
 
 # Build architecture-independent files here.
@@ -63,26 +62,26 @@
 	dh_installchangelogs 
 	dh_installdocs
 	dh_installexamples
-#	dh_install
-#	dh_installmenu
-#	dh_installdebconf
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_python
-#	dh_installinit
-#	dh_installcron
-#	dh_installinfo
+#  dh_install
+#  dh_installmenu
+#  dh_installdebconf
+#  dh_installlogrotate
+#  dh_installemacsen
+#  dh_installpam
+#  dh_installmime
+#  dh_python
+#  dh_installinit
+#  dh_installcron
+#  dh_installinfo
 	dh_installman
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
-#	dh_perl
-#	dh_makeshlibs
+#  dh_perl
+#  dh_makeshlibs
 	dh_installdeb
-#	dh_shlibdeps
+#  dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
